Bug 117615 - Mailman overwrites customized templates on upgrade
Mailman overwrites customized templates on upgrade
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2004-03-05 15:31 EST by Mace Moneta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-03 14:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2004-03-05 15:31:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
After upgrading mailman, customized templates have been overwritten
with default templates.  The originals were not saved in .rpmsave
files.  Preferably, the replacement templates should be in .rpmnew
files and the modified templates unaltered.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install mailman
2.Modify a template (masthead.txt, for example)
3.Upgrade mailman

Actual Results:  Customized templates destroyed.

Expected Results:  .rpmnew files created for modified templates.

Additional info:

The problem is that with automatic maintenance, the files are
destroyed before a change may be noticed.  As a result, mailman can
send out incorrect (or undesired) information before the problem can
be corrected.
Comment 1 John Dennis 2004-09-03 14:48:20 EDT
Thank you for your bug report. This has been fixed in mailman-2.1.5-15
which is slated for release in FC3 and RHEL4. All files below the
templates directory have been marked in the spec file as
%config(noreplace) and documentation added to
Comment 2 John Dennis 2004-09-03 14:50:45 EDT
Opps, closed it with the wrong status of WONT FIX, should have been

Note You need to log in before you can comment on or make changes to this bug.